diff --git python-naftawayh/python-naftawayh.spec python-naftawayh/python-naftawayh.spec.tmp
index fac67a154d..03c37ce630 100644
--- python-naftawayh/python-naftawayh.spec
+++ python-naftawayh/python-naftawayh.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:				python-naftawayh
 Version:			0.2
-Release:			9%{?dist}
+Release:			10%{?dist}
 Summary:			Arabic word tagger
 Summary(ar):		تصنيف الكلمات العربية
 License:			GPLv1
@@ -17,11 +17,19 @@ BuildArch:			noarch
 BuildRequires:		python2-devel
 BuildRequires:		python-setuptools
 
-%description
-Naftawayh is a python library for Arabic word tagging (word classification)
-into types (nouns, verbs, stopwords), which is useful in language processing,
-especially for text mining. Naftawayh works according to the Arabic word
-structure, and the ability to guess the word class, through certain signs. 
+%global _description\
+Naftawayh is a python library for Arabic word tagging (word classification)\
+into types (nouns, verbs, stopwords), which is useful in language processing,\
+especially for text mining. Naftawayh works according to the Arabic word\
+structure, and the ability to guess the word class, through certain signs.
+
+%description %_description
+
+%package -n python2-naftawayh
+Summary: %summary
+%{?python_provide:%python_provide python2-naftawayh}
+
+%description -n python2-naftawayh %_description
 
 %description -l ar
 نفطويه هو برنامج ومكتبة لتصنيف الكلمات إلى أنواعها (اسم، فعل، حرف)، ويفيد
@@ -46,12 +54,16 @@ cp -p %{SOURCE2} ./PKG-INFO
 %install
 %{__python2} setup.py install --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-naftawayh
 %doc PKG-INFO gpl-1.0.txt
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{distname}-%{version}-py2.*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-10
+- Python 2 subpackage renamed to python2-naftawayh
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-narcissus-common/python-narcissus-common.spec python-narcissus-common/python-narcissus-common.spec.tmp
index 467bcb3253..9ecf463bbd 100644
--- python-narcissus-common/python-narcissus-common.spec
+++ python-narcissus-common/python-narcissus-common.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:               python-narcissus-common
 Version:            0.9.0.1
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            Common components for Narcissus, realtime log visualization
 
 Group:              Development/Libraries
@@ -15,24 +15,32 @@ BuildArch:          noarch
 BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
 BuildRequires:      python-zmq
-Requires:           python-zmq
 
-%description
-This package contains the commons components for narcissus.  Narcissus
-is a web application that visualizes web server hits as they happen
-in real time.
+%global _description\
+This package contains the commons components for narcissus.  Narcissus\
+is a web application that visualizes web server hits as they happen\
+in real time.\
+\
+Features:\
+\
+ * IP addresses converted to latitude/longitude, then streamed via\
+   WebSockets to `polymaps <http://polymaps.org/>`_.\
+ * Realtime graphs of what countries are downloading what content\
+   with `d3 <http://d3js.org>`_.\
+ * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.\
+ * **Fast**.  No polling.\
+\
+You can see a demo running live at http://narcissus.rc.rit.edu\
+It is visualizing the logs of http://mirror.rit.edu
 
-Features:
+%description %_description
 
- * IP addresses converted to latitude/longitude, then streamed via
-   WebSockets to `polymaps <http://polymaps.org/>`_. 
- * Realtime graphs of what countries are downloading what content
-   with `d3 <http://d3js.org>`_.
- * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.
- * **Fast**.  No polling.
+%package -n python2-narcissus-common
+Summary: %summary
+Requires:           python-zmq
+%{?python_provide:%python_provide python2-narcissus-common}
 
-You can see a demo running live at http://narcissus.rc.rit.edu
-It is visualizing the logs of http://mirror.rit.edu
+%description -n python2-narcissus-common %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -53,7 +61,7 @@ sed -i -e '1d' narcissus/common/zeromq_log_sender.py
 # We're not actually going to support this one.
 rm %{buildroot}/%{_bindir}/narcissus-amqp-source
 
-%files
+%files -n python2-narcissus-common
 %doc README.rst LICENSE
 # This package actually owns the root narcissus directory
 %{python_sitelib}/narcissus/
@@ -61,6 +69,10 @@ rm %{buildroot}/%{_bindir}/narcissus-amqp-source
 %{_bindir}/narcissus-zeromq-source
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.0.1-9
+- Python 2 subpackage renamed to python2-narcissus-common
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-narcissus-hub/python-narcissus-hub.spec python-narcissus-hub/python-narcissus-hub.spec.tmp
index 858ba91352..2ce96e9f43 100644
--- python-narcissus-hub/python-narcissus-hub.spec
+++ python-narcissus-hub/python-narcissus-hub.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:               python-narcissus-hub
 Version:            0.9.0.1
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            Hub components for Narcissus, realtime log visualization
 
 Group:              Development/Libraries
@@ -26,27 +26,34 @@ BuildRequires:      python-narcissus-common
 BuildRequires:      python-pygeoip
 BuildRequires:      python-geojson
 
-Requires:           python-narcissus-common
-Requires:           python-setuptools
-Requires:           python-moksha-hub
-Requires:           python-pygeoip
-Requires:           python-geojson
-
-%description
-This package contains the "hub" components for narcissus.  Narcissus is a web
-application that visualizes web server hits as they happen in real time.
+%global _description\
+This package contains the "hub" components for narcissus.  Narcissus is a web\
+application that visualizes web server hits as they happen in real time.\
+\
+Features:\
+\
+* IP addresses converted to latitude/longitude, then streamed via\
+  WebSockets to `polymaps <http://polymaps.org/>`_.\
+* Realtime graphs of what countries are downloading what content with `d3\
+  <http://d3js.org>`_.\
+* `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.\
+* **Fast**.  No polling.\
+\
+You can see a demo running live at http://narcissus.rc.rit.edu\
+It is visualizing the logs of http://mirror.rit.edu
 
-Features:
+%description %_description
 
-* IP addresses converted to latitude/longitude, then streamed via
-  WebSockets to `polymaps <http://polymaps.org/>`_.
-* Realtime graphs of what countries are downloading what content with `d3
-  <http://d3js.org>`_.
-* `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.
-* **Fast**.  No polling.
+%package -n python2-narcissus-hub
+Summary: %summary
+Requires:           python-geojson
+Requires:           python-pygeoip
+Requires:           python-moksha-hub
+Requires:           python-setuptools
+Requires:           python-narcissus-common
+%{?python_provide:%python_provide python2-narcissus-hub}
 
-You can see a demo running live at http://narcissus.rc.rit.edu
-It is visualizing the logs of http://mirror.rit.edu
+%description -n python2-narcissus-hub %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -66,13 +73,17 @@ cp development.ini %{buildroot}%{_sysconfdir}/moksha/production.ini.example-narc
 %check
 %{__python2} setup.py test
 
-%files
+%files -n python2-narcissus-hub
 %doc README.rst LICENSE
 %{python2_sitelib}/narcissus/hub/
 %{python2_sitelib}/%{modname}-%{version}*
 %{_sysconfdir}/moksha/production.ini.example-narcissus
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.0.1-9
+- Python 2 subpackage renamed to python2-narcissus-hub
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ncclient/python-ncclient.spec python-ncclient/python-ncclient.spec.tmp
index 4299e53b72..c71de13e30 100644
--- python-ncclient/python-ncclient.spec
+++ python-ncclient/python-ncclient.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-ncclient
 Version:        0.4.7
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Python library for NETCONF clients
 
 License:        ASL 2.0
@@ -17,16 +17,23 @@ BuildRequires:  python-paramiko
 BuildRequires:  python-setuptools
 BuildRequires:  python-sphinx
 
-Requires:       libxml2-python
-Requires:       libxslt-python
-Requires:       python-lxml
-Requires:       python-paramiko
 
+%global _description\
+This project is a Python library that facilitates client-side scripting and\
+application development around the NETCONF protocol.\
 
-%description
-This project is a Python library that facilitates client-side scripting and
-application development around the NETCONF protocol.
 
+%description %_description
+
+%package -n python2-ncclient
+Summary: %summary
+Requires:       python-paramiko
+Requires:       python-lxml
+Requires:       libxslt-python
+Requires:       libxml2-python
+%{?python_provide:%python_provide python2-ncclient}
+
+%description -n python2-ncclient %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -49,7 +56,7 @@ make -C docs doctest
 %{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-ncclient
 %doc LICENSE
 %doc README
 %doc docs/build/html
@@ -59,6 +66,10 @@ make -C docs doctest
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.7-5
+- Python 2 subpackage renamed to python2-ncclient
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-netaddr/python-netaddr.spec python-netaddr/python-netaddr.spec.tmp
index b22778b7f0..f205de6ffc 100644
--- python-netaddr/python-netaddr.spec
+++ python-netaddr/python-netaddr.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-netaddr
 Version:        0.7.19
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        A pure Python network address representation and manipulation library
 
 License:        BSD
@@ -16,7 +16,6 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-sphinx
 BuildRequires:  pytest
-Provides:       python2-netaddr = %{version}-%{release}
 
 Patch0: 0001-fixed-broken-tests-in-issue-149-python-3-regression-.patch
 
@@ -42,9 +41,17 @@ Layer 2 addresses\
  * generating derived IPv6 addresses
 
 
-%description
+%global _description\
 %{desc}
 
+%description %_description
+
+%package -n python2-netaddr
+Summary: %summary
+%{?python_provide:%python_provide python2-netaddr}
+
+%description -n python2-netaddr %_description
+
 %if 0%{?with_python3}
 %package -n python3-netaddr
 Summary: A pure Python network address representation and manipulation library
@@ -105,7 +112,7 @@ py.test-%{python2_version}
 LANG=en_US.UTF-8 py.test-%{python3_version}
 %endif
 
-%files
+%files -n python2-netaddr
 %license COPYRIGHT LICENSE
 %doc AUTHORS CHANGELOG
 %doc README.md docs/html
@@ -122,6 +129,10 @@ LANG=en_US.UTF-8 py.test-%{python3_version}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.19-4
+- Python 2 subpackage renamed to python2-netaddr
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.19-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-newt_syrup/python-newt_syrup.spec python-newt_syrup/python-newt_syrup.spec.tmp
index 67bcff3703..589bac8751 100644
--- python-newt_syrup/python-newt_syrup.spec
+++ python-newt_syrup/python-newt_syrup.spec.tmp
@@ -1,22 +1,30 @@
 Summary:       Newt Syrup is an app framework built on top of Newt
 Name:          python-newt_syrup
 Version:       0.2.0
-Release:       10.1%{?dist}
+Release:       11.1%{?dist}
 License:       LGPLv2+
 Url:           http://newt-syrup.fedorahosted.org/
 Source:        http://mcpierce.fedorapeople.org/sources/newt_syrup-%{version}.tar.gz
 Group:         Development/Libraries
 BuildRoot:     %{_tmppath}/newt_syrup-%{version}-%{release}-buildroot
 BuildArch:     noarch
-Requires:      newt >= 0.52.11
 BuildRequires: python-devel python-setuptools
 
-%description
-Newt Syrup is an app framework built on top of Newt. It provides a set of
-classes for creating text-based applications. Developers can use the widgets
-provided by Newt and the framework provided by Syrup to create full text-based
+%global _description\
+Newt Syrup is an app framework built on top of Newt. It provides a set of\
+classes for creating text-based applications. Developers can use the widgets\
+provided by Newt and the framework provided by Syrup to create full text-based\
 applications in Python.
 
+%description %_description
+
+%package -n python2-newt_syrup
+Summary: %summary
+Requires:      newt >= 0.52.11
+%{?python_provide:%python_provide python2-newt_syrup}
+
+%description -n python2-newt_syrup %_description
+
 %prep
 %setup -q -n newt_syrup-%{version}
 
@@ -30,12 +38,16 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-newt_syrup
 %defattr(-,root,root,-)
 %doc AUTHORS ChangeLog COPYING
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-11.1
+- Python 2 subpackage renamed to python2-newt_syrup
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-10.1
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-nitrate/python-nitrate.spec python-nitrate/python-nitrate.spec.tmp
index 2449c563b3..586df8b9d8 100644
--- python-nitrate/python-nitrate.spec
+++ python-nitrate/python-nitrate.spec.tmp
@@ -1,6 +1,6 @@
 Name: python-nitrate
 Version: 1.3
-Release: 5%{?dist}
+Release: 6%{?dist}
 
 Summary: Python API for the Nitrate test case management system
 Group: Development/Languages
@@ -11,15 +11,23 @@ Source0: http://psss.fedorapeople.org/python-nitrate/%{name}-%{version}.tar.bz2
 
 BuildArch: noarch
 BuildRequires: python-devel
-Requires: python-kerberos python-psycopg2
 
-%description
-python-nitrate is a Python interface to the Nitrate test case
-management system. The package consists of a high-level Python
-module (provides natural object interface), a low-level driver
-(allows to directly access Nitrate's XMLRPC API) and a command
+%global _description\
+python-nitrate is a Python interface to the Nitrate test case\
+management system. The package consists of a high-level Python\
+module (provides natural object interface), a low-level driver\
+(allows to directly access Nitrate's XMLRPC API) and a command\
 line interpreter (useful for fast debugging and experimenting).
 
+%description %_description
+
+%package -n python2-nitrate
+Summary: %summary
+Requires: python-kerberos python-psycopg2
+%{?python_provide:%python_provide python2-nitrate}
+
+%description -n python2-nitrate %_description
+
 %prep
 %setup -q
 
@@ -33,13 +41,17 @@ install -pm 755 source/nitrate %{buildroot}%{_bindir}
 install -pm 644 source/*.py %{buildroot}%{python_sitelib}/nitrate
 install -pm 644 docs/*.1.gz %{buildroot}%{_mandir}/man1
 
-%files
+%files -n python2-nitrate
 %{_mandir}/man1/*
 %{_bindir}/nitrate
 %{python_sitelib}/*
 %doc COPYING README examples
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-6
+- Python 2 subpackage renamed to python2-nitrate
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-nltk/python-nltk.spec python-nltk/python-nltk.spec.tmp
index e5bf58b384..08de80e283 100644
--- python-nltk/python-nltk.spec
+++ python-nltk/python-nltk.spec.tmp
@@ -2,7 +2,7 @@
 Name:           python-nltk
 Epoch:          1
 Version:        3.0.3
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Natural Language Toolkit
 
 Group:          Development/Libraries
@@ -15,17 +15,25 @@ BuildArch:      noarch
 
 BuildRequires:  python2-devel >= 2.5
 BuildRequires:  python-setuptools
-Requires:       PyYAML >= 3.09
-Requires:       numpy python-matplotlib tkinter
 
-%description
-NLTK is a Python package that simplifies the construction of programs
-that process natural language; and defines standard interfaces between
-the different components of an NLP system.  It was designed primarily
-to help teach graduate and undergraduate students about computational
-linguistics; but it is also useful as a framework for implementing
+%global _description\
+NLTK is a Python package that simplifies the construction of programs\
+that process natural language; and defines standard interfaces between\
+the different components of an NLP system.  It was designed primarily\
+to help teach graduate and undergraduate students about computational\
+linguistics; but it is also useful as a framework for implementing\
 research projects.
 
+%description %_description
+
+%package -n python2-%{mod_name}
+Summary: %summary
+Requires:       numpy python-matplotlib tkinter
+Requires:       PyYAML >= 3.09
+%{?python_provide:%python_provide python2-%{mod_name}}
+
+%description -n python2-%{mod_name} %_description
+
 %package -n python3-%{mod_name}
 Summary:        Natural Language Toolkit (Python 3)
 BuildRequires:  python3-devel >= 2.5
@@ -66,7 +74,7 @@ sed -i -e '/^#! *\//, 1d' %{mod_name}/corpus/reader/knbc.py \
 #%%{__python3} %%{mod_name}/test/runtests.py
 
 
-%files
+%files -n python2-%{mod_name}
 %doc LICENSE.txt README.txt
 %{python_sitelib}/%{mod_name}
 %{python_sitelib}/%{mod_name}-*.egg-info
@@ -78,6 +86,10 @@ sed -i -e '/^#! *\//, 1d' %{mod_name}/corpus/reader/knbc.py \
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:3.0.3-9
+- Python 2 subpackage renamed to python2-nltk
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.0.3-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-nose-cover3/python-nose-cover3.spec python-nose-cover3/python-nose-cover3.spec.tmp
index 6a0329753e..865b7218d7 100644
--- python-nose-cover3/python-nose-cover3.spec
+++ python-nose-cover3/python-nose-cover3.spec.tmp
@@ -9,14 +9,13 @@
 
 Name:           python-%{pypi_name}
 Version:        0.1.0
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        Coverage 3.x support for Nose
 
 License:        LGPLv2+
 URL:            http://pypi.python.org/pypi/nose-cover3/0.1.0
 Source0:        http://pypi.python.org/packages/source/n/nose-cover3/nose-cover3-0.1.0.tar.gz
 BuildArch:      noarch
-Requires:       python-nose 
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
@@ -26,9 +25,18 @@ BuildRequires:  python3-setuptools
 %endif # if with_python3
 
 
-%description
+%global _description\
 Coverage 3.x support for Nose.
 
+%description %_description
+
+%package -n python2-nose-cover3
+Summary: %summary
+Requires:       python-nose
+%{?python_provide:%python_provide python2-nose-cover3}
+
+%description -n python2-nose-cover3 %_description
+
 %if 0%{?with_python3}
 %package -n python3-nose-cover3
 Summary:        Coverage 3.x support for Nose
@@ -67,7 +75,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-nose-cover3
 %doc README.rst LICENSE
 %{python_sitelib}/nosecover3
 %{python_sitelib}/nose_cover3-%{version}-py?.?.egg-info
@@ -80,6 +88,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-17
+- Python 2 subpackage renamed to python2-nose-cover3
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-nose-exclude/python-nose-exclude.spec python-nose-exclude/python-nose-exclude.spec.tmp
index 03bab346c5..9f28eb62bc 100644
--- python-nose-exclude/python-nose-exclude.spec
+++ python-nose-exclude/python-nose-exclude.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.4.1
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Exclude specific directories from nosetests runs
 
 License:        LGPLv2
@@ -17,17 +17,24 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-Requires:       python-nose
-
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-%description
-nose-exclude is a `Nose`_ plugin that allows you to easily
-specify directories to be excluded from testing.
+%global _description\
+nose-exclude is a `Nose`_ plugin that allows you to easily\
+specify directories to be excluded from testing.\
+
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-nose
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
@@ -69,7 +76,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst
 %{python_sitelib}/nose_exclude.py*
 %{python_sitelib}/nose_exclude-%{version}-py?.?.egg-info
@@ -83,6 +90,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.1-8
+- Python 2 subpackage renamed to python2-nose-exclude
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-nose-parameterized/python-nose-parameterized.spec python-nose-parameterized/python-nose-parameterized.spec.tmp
index 7162897f97..33092b681d 100644
--- python-nose-parameterized/python-nose-parameterized.spec
+++ python-nose-parameterized/python-nose-parameterized.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:		python-nose-parameterized
 Version:	0.3.5
-Release:	8%{?dist}
+Release:	9%{?dist}
 Summary:	Decorator for parameterized testing with Nose
 Group:		Development/Libraries
 
@@ -24,20 +24,28 @@ BuildArch:	noarch
 BuildRequires:	python2-devel
 BuildRequires:	python-nose
 BuildRequires:	python-six
-Requires:	python-nose
-Requires:	python-six
 %if 0%{?with_python3}
 BuildRequires:	python3-devel
 BuildRequires:	python3-nose
 BuildRequires:	python3-six
 %endif # with_python3
 
-%description
-Library that improving nose test generators with a decorator that fixes 
-the frequent requirement of a second function, the difficulty to separate 
-the data from the tests and the impossibility of working with subclases of 
+%global _description\
+Library that improving nose test generators with a decorator that fixes\
+the frequent requirement of a second function, the difficulty to separate\
+the data from the tests and the impossibility of working with subclases of\
 unittest.TestCase
 
+%description %_description
+
+%package -n python2-nose-parameterized
+Summary: %summary
+Requires:	python-six
+Requires:	python-nose
+%{?python_provide:%python_provide python2-nose-parameterized}
+
+%description -n python2-nose-parameterized %_description
+
 %if 0%{?with_python3}
 %package -n python3-nose-parameterized
 Summary:	Decorator for parameterized testing with Nose
@@ -94,7 +102,7 @@ popd
 %endif # with_python3
 
  
-%files
+%files -n python2-nose-parameterized
 %doc python-nose-parameterized-license.txt README.rst PKG-INFO
 %{python_sitelib}/nose_parameterized
 %{python_sitelib}/nose_parameterized-*.egg-info
@@ -107,6 +115,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.5-9
+- Python 2 subpackage renamed to python2-nose-parameterized
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-nose-xcover/python-nose-xcover.spec python-nose-xcover/python-nose-xcover.spec.tmp
index 505165c85b..4d9b8f0261 100644
--- python-nose-xcover/python-nose-xcover.spec
+++ python-nose-xcover/python-nose-xcover.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           python-nose-xcover
 Version:        1.0.10
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Extends nose.plugins.cover to add Cobertura-style XML reports
 
 License:        BSD
@@ -20,15 +20,22 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-Requires:       python-nose
-Requires:       python-coverage >= 3.4
+%global _description\
+A companion to the built-in nose.plugins.cover,\
+this plugin will write out an XML coverage report to a file named coverage.xml.\
+It will honor all the options you pass to the `Nose coverage plugin\
+especially --cover-package.\
 
-%description
-A companion to the built-in nose.plugins.cover,
-this plugin will write out an XML coverage report to a file named coverage.xml.
-It will honor all the options you pass to the `Nose coverage plugin
-especially --cover-package.
 
+%description %_description
+
+%package -n python2-nose-xcover
+Summary: %summary
+Requires:       python-coverage >= 3.4
+Requires:       python-nose
+%{?python_provide:%python_provide python2-nose-xcover}
+
+%description -n python2-nose-xcover %_description
 
 %if %{with python3}
 %package -n python3-nose-xcover
@@ -80,7 +87,7 @@ popd
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-nose-xcover
 %doc PKG-INFO
 %{python2_sitelib}/%{pypi_name}
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -94,6 +101,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.10-9
+- Python 2 subpackage renamed to python2-nose-xcover
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-nss/python-nss.spec python-nss/python-nss.spec.tmp
index 3e777e7630..d19256bf60 100644
--- python-nss/python-nss.spec
+++ python-nss/python-nss.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-nss
 Version:        1.0.1
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Python bindings for Network Security Services (NSS)
 
 Group:          Development/Languages
@@ -32,16 +32,24 @@ BuildRequires: nspr-devel
 BuildRequires: nss-devel
 BuildRequires: epydoc
 
-%description
-This package provides Python bindings for Network Security Services
-(NSS) and the Netscape Portable Runtime (NSPR).
-
-NSS is a set of libraries supporting security-enabled client and
-server applications. Applications built with NSS can support SSL v2
-and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
-certificates, and other security standards. Specific NSS
+%global _description\
+This package provides Python bindings for Network Security Services\
+(NSS) and the Netscape Portable Runtime (NSPR).\
+\
+NSS is a set of libraries supporting security-enabled client and\
+server applications. Applications built with NSS can support SSL v2\
+and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3\
+certificates, and other security standards. Specific NSS\
 implementations have been FIPS-140 certified.
 
+%description %_description
+
+%package -n python2-nss
+Summary: %summary
+%{?python_provide:%python_provide python2-nss}
+
+%description -n python2-nss %_description
+
 %package -n python3-nss
 Summary: Python3 bindings for Network Security Services (NSS)
 Requires: %{name} = %{version}-%{release}
@@ -97,7 +105,7 @@ chmod 0755 $RPM_BUILD_ROOT/%{python_sitearch}/nss/*.so
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-nss
 %defattr(-,root,root,-)
 %{python_sitearch}/*
 %doc %{docdir}/ChangeLog
@@ -123,6 +131,10 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-4
+- Python 2 subpackage renamed to python2-nss
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-numdisplay/python-numdisplay.spec python-numdisplay/python-numdisplay.spec.tmp
index 702d9ef720..415bd2107c 100644
--- python-numdisplay/python-numdisplay.spec
+++ python-numdisplay/python-numdisplay.spec.tmp
@@ -5,7 +5,7 @@
 
 Name: python-numdisplay
 Version: 1.5.6
-Release: 15%{?dist}
+Release: 16%{?dist}
 Summary: Visualize numpy array objects in ds9
 
 License: BSD
@@ -13,18 +13,26 @@ License: BSD
 URL: http://stsdas.stsci.edu/numdisplay
 Source0: http://stsdas.stsci.edu/numdisplay/download/numdisplay-%{version}.tar.gz
 Patch0: numdisplay-numpy-fix.patch
-Provides: numdisplay
-Requires: numpy
 BuildRequires: python-devel
 BuildArch: noarch
 
-%description
-Numdisplay provides the capability to visualize numpy array objects using 
-astronomical image display tools such as DS9 or XIMTOOL directly from 
-the Python command line. This task can display any numpy object, whether 
-it was created interactively or read in from a FITS file using PyFITS 
+%global _description\
+Numdisplay provides the capability to visualize numpy array objects using\
+astronomical image display tools such as DS9 or XIMTOOL directly from\
+the Python command line. This task can display any numpy object, whether\
+it was created interactively or read in from a FITS file using PyFITS\
 on any platform which supports Python and numpy.
 
+%description %_description
+
+%package -n python2-numdisplay
+Summary: %summary
+Requires: numpy
+Provides: numdisplay
+%{?python_provide:%python_provide python2-numdisplay}
+
+%description -n python2-numdisplay %_description
+
 %prep
 %setup -q -n %{upname}
 %patch0 -p1
@@ -35,13 +43,17 @@ on any platform which supports Python and numpy.
 %install
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
-%files
+%files -n python2-numdisplay
 %doc lib/LICENSE.txt 
 %{python_sitelib}/%{upname}
 %{python_sitelib}/%{upname}*.egg-info
 %exclude %{python_sitelib}/%{upname}/LICENSE.txt
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.6-16
+- Python 2 subpackage renamed to python2-numdisplay
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
